XMLLibImpl (rhino 1.7.13 API)

org.mozilla.javascript.xmlimpl

## Class XMLLibImpl

- java.lang.Object
- - org.mozilla.javascript.xml.XMLLib
  - - org.mozilla.javascript.xmlimpl.XMLLibImpl

- All Implemented Interfaces:
    java.io.Serializable

      public final class XMLLibImpl
      extends XMLLib
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.mozilla.javascript.xml.XMLLib

      `XMLLib.Factory`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `escapeAttributeValue(java.lang.Object o)` Escapes the reserved characters in a value of an attribute.
    `java.lang.String` | `escapeTextValue(java.lang.Object o)` Escapes the reserved characters in a value of a text node.
    `int` | `getPrettyIndent()`
    `static void` | `init(Context cx, Scriptable scope, boolean sealed)`
    `boolean` | `isIgnoreComments()`
    `boolean` | `isIgnoreProcessingInstructions()`
    `boolean` | `isIgnoreWhitespace()`
    `boolean` | `isPrettyPrinting()`
    `boolean` | `isXMLName(Context _cx, java.lang.Object nameObj)`
    `Ref` | `nameRef(Context cx, java.lang.Object namespace, java.lang.Object name, Scriptable scope, int memberTypeFlags)`
    `Ref` | `nameRef(Context cx, java.lang.Object name, Scriptable scope, int memberTypeFlags)`
    `void` | `setIgnoreComments(boolean b)`
    `void` | `setIgnoreProcessingInstructions(boolean b)`
    `void` | `setIgnoreWhitespace(boolean b)`
    `void` | `setPrettyIndent(int i)`
    `void` | `setPrettyPrinting(boolean b)`
    `java.lang.Object` | `toDefaultXmlNamespace(Context cx, java.lang.Object uriValue)` Construct namespace for default xml statement.
    `static org.w3c.dom.Node` | `toDomNode(java.lang.Object xmlObject)` This experimental interface is undocumented.

    - ### Methods inherited from class org.mozilla.javascript.xml.XMLLib

      `bindToScope, extractFromScope, extractFromScopeOrNull`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### toDomNode

          public static org.w3c.dom.Node toDomNode(java.lang.Object xmlObject)

      This experimental interface is undocumented.

    - #### init

          public static void init(Context cx,
                                  Scriptable scope,
                                  boolean sealed)

    - #### setIgnoreComments

          public void setIgnoreComments(boolean b)

      Overrides:
        `setIgnoreComments` in class `XMLLib`

    - #### setIgnoreWhitespace

          public void setIgnoreWhitespace(boolean b)

      Overrides:
        `setIgnoreWhitespace` in class `XMLLib`

    - #### setIgnoreProcessingInstructions

          public void setIgnoreProcessingInstructions(boolean b)

      Overrides:
        `setIgnoreProcessingInstructions` in class `XMLLib`

    - #### setPrettyPrinting

          public void setPrettyPrinting(boolean b)

      Overrides:
        `setPrettyPrinting` in class `XMLLib`

    - #### setPrettyIndent

          public void setPrettyIndent(int i)

      Overrides:
        `setPrettyIndent` in class `XMLLib`

    - #### isIgnoreComments

          public boolean isIgnoreComments()

      Overrides:
        `isIgnoreComments` in class `XMLLib`

    - #### isIgnoreProcessingInstructions

          public boolean isIgnoreProcessingInstructions()

      Overrides:
        `isIgnoreProcessingInstructions` in class `XMLLib`

    - #### isIgnoreWhitespace

          public boolean isIgnoreWhitespace()

      Overrides:
        `isIgnoreWhitespace` in class `XMLLib`

    - #### isPrettyPrinting

          public boolean isPrettyPrinting()

      Overrides:
        `isPrettyPrinting` in class `XMLLib`

    - #### getPrettyIndent

          public int getPrettyIndent()

      Overrides:
        `getPrettyIndent` in class `XMLLib`

    - #### isXMLName

          public boolean isXMLName(Context _cx,
                                   java.lang.Object nameObj)

      Specified by:
        `isXMLName` in class `XMLLib`

    - #### toDefaultXmlNamespace

          public java.lang.Object toDefaultXmlNamespace(Context cx,
                                                        java.lang.Object uriValue)

      Description copied from class: `XMLLib`
      Construct namespace for default xml statement.
      Specified by:
        `toDefaultXmlNamespace` in class `XMLLib`

    - #### escapeTextValue

          public java.lang.String escapeTextValue(java.lang.Object o)

      Description copied from class: `XMLLib`
      Escapes the reserved characters in a value of a text node.
      Specified by:
        `escapeTextValue` in class `XMLLib`
      Parameters:
        `o` - Unescaped text
      Returns:
        The escaped text

    - #### escapeAttributeValue

          public java.lang.String escapeAttributeValue(java.lang.Object o)

      Description copied from class: `XMLLib`
      Escapes the reserved characters in a value of an attribute.
      Specified by:
        `escapeAttributeValue` in class `XMLLib`
      Parameters:
        `o` - Unescaped text
      Returns:
        The escaped text

    - #### nameRef

          public Ref nameRef(Context cx,
                             java.lang.Object name,
                             Scriptable scope,
                             int memberTypeFlags)

      Specified by:
        `nameRef` in class `XMLLib`

    - #### nameRef

          public Ref nameRef(Context cx,
                             java.lang.Object namespace,
                             java.lang.Object name,
                             Scriptable scope,
                             int memberTypeFlags)

      Specified by:
        `nameRef` in class `XMLLib`